package com.muni.muni_cv2;


import android.content.Context;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.BaseAdapter;
import android.widget.CheckBox;
import android.widget.TextView;

import java.util.List;

public class NoteAdapter extends BaseAdapter {

	List<Note> users;
	LayoutInflater inflater;

	public NoteAdapter(Context context, List<Note> users) {
		this.users = users;
		inflater = LayoutInflater.from(context);
	}

	@Override public int getCount() {
		return users.size();
	}

	@Override public Note getItem(int position) {
		return users.get(position);
	}

	@Override public long getItemId(int position) {
		return 0;
	}

	@Override public View getView(int position, View convertView, ViewGroup parent) {
		View view;
		ViewHolder holder;
		if (convertView == null) {
			view = inflater.inflate(R.layout.list_item_note, parent, false);
			view.setTag(new ViewHolder(view));
		} else {
			view = convertView;
		}

		holder = (ViewHolder) view.getTag();

		Note note = getItem(position);
		holder.name.setText(note.name);
		holder.isDone.setChecked(note.isDone);

		return view;
	}

	class ViewHolder{
		TextView name;
		CheckBox isDone;

		public ViewHolder(View v) {
			name = (TextView) v.findViewById(R.id.name);
			isDone = (CheckBox) v.findViewById(R.id.isDone);
		}
	}
}
